Rp 200{{ attach_library('growhappytheme/lct-faq') }}
{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{# {{ page.navigation }} #}
<style type="text/css">
.page-title{
  margin-bottom: 50px;
  color: #003da5;
}
.tnc-list{
  list-style: none;
  border-right: dashed 1px #003da5;
  margin-bottom: 45%;
}
.tnc-list li{
  margin: 0;
}
.tnc-list a{
  display: block;
  color: #003da5;
  padding: 10px 20px;
  font-weight: 500;
}
.tnc-list a:hover, .tnc-list a:focus{
  background: #003da5;
  color: #fff;
  text-decoration: none;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}
h3::before {
  display: block;
  content: " ";
  margin-top: -150px;
  height: 150px;
  visibility: hidden;
  pointer-events: none;
}
#btn-top {
  display: inline-block;
  background-color: #003da5;
  width: 50px;
  height: 50px;
  text-align: center;
  border-radius: 4px;
  position: fixed;
  bottom: 30px;
  right: 30px;
  transition: background-color .3s,
    opacity .5s, visibility .5s;
  opacity: 0;
  visibility: hidden;
  z-index: 1000;
}
#btn-top::after {
  content: "\f077";
  font-family: FontAwesome;
  font-weight: normal;
  font-style: normal;
  font-size: 2em;
  line-height: 50px;
  color: #fff;
}
#btn-top:hover {
  cursor: pointer;
  background-color: #333;
  text-decoration: none;
}
#btn-top:active {
  background-color: #555;
}
#btn-top.show {
  opacity: 1;
  visibility: visible;
}

.text-style{
  font-size: 14px;
  color: #003DA6;
}

.numberCircle {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  text-align: center;
  font-size: 22px;
  border: 2px solid #3498db;
  color:white;
  background:#3498db;
  margin: 0 auto;
  z-index: 1;
  transform: translateY(-50%);
  line-height: 40px;
  margin-top: -36px;
}

.numberCircleBottom {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  text-align: center;
  font-size: 22px;
  color: #013CA6;
  margin: 0 auto;
  z-index: 1;
  transform: translateY(-50%);
  line-height: 40px;
  margin-bottom: -69px;
  background: #F4EE13;
}

.card {
  border: 2px solid #0038AA;
}

.card-text {
  margin-bottom: 2em;
  font-size: 1.7vw;
  font-weight: bold;
  color: #003DA6;
}

.card-text-mobile{
  font-size: 3.5vw;
  font-weight: bold;
  color: #003DA6;
}

.card-text-step {
  margin-bottom: 2em;
  color: #0038AB;
}

.card-text-step-mobile {
  margin-bottom: 2em;
  color: #0038AB;
  margin-top: -15px;
  margin-bottom: 25px;
}

.circlearancione {
  background-color: #21A5E6;
  border-color: white;
  border-radius: 50%;
  border-width: 5px;
  height: 110px;
  width: 110px;
  line-height: 83px;
  display: flex;
}

.circlearancione > span {
  margin-left: 119px;
}

.line {
  position: relative;
  top: 20px;
  border: none;
  height: 8px;
  background: #F4EE13;
  margin-bottom: 50px;
}

.vl {
  border-left: 6px solid #FEF008;
  height: 500px;
  position: relative;
  left: 50%;
  margin-left: -3px;
  top: 0;
}

.stepCircle{
  width: 100px;
  border-radius: 50%;
  border: 2px solid #3498db;
  background: #3498db;
  margin: -30px;
  z-index: 1;
  transform: translateY(-25%);
}

.stepCircleRight{
  width: 100px;
  border-radius: 50%;
  border: 2px solid #3498db;
  background: #3498db;
  margin: -30px;
  z-index: 1;
  transform: translateY(-25%);
  line-height: 40px;
  float: right;
}

.stepCard{
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
}

.stepHead{
  color: #FEF100;
}

.col-half-offset{
    margin-left: 1%;
}

.card-right{
  float: left;
}

.card-left{
  float: right;
}

.text-tree{
  text-align: left;
  font-size: 1.5vw;
}

.text-tree-mobile{
  text-align: left;
  font-size: 3.5vw;
  margin-bottom: 35%;
}

.stepCircleMobile{
  width: 100px;
  border-radius: 50%;
  border: 2px solid #3498db;
  background: #3498db;
  z-index: 1;
  transform: translateY(-55%);
  margin: 0 auto;
}

@media only screen and (max-width: 600px) {
    .desktop-view {
        display: none !important;
      }
    }

    @media only screen and (min-width: 600px) {
      .mobile-view {
        display: none !important;
      }
    }
</style>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css">
<script>
$(document).ready(function(){
  $(".tnc-list a").data("tag")click(function(){
    $("p").toggle();
  });
});
</script>
<main role="main" style="margin-top: 0;">
	{{ page.breadcrumb }}
	<a id="main-content" tabindex="-1"></a>
	{# link is in html.html.twig #}
	<div class="overflow-hidden">
        <section class="pb-3 pb-md-5 pt-5">
            <div class="container text-md-center">
                <div class="row justify-content-center">
                    <div class="col-12 col-md-8 col-lg-12">
                      <img class="desktop-view" src="https://www.growhappy.co.id/sites/default/files/2021-11/Landing%20Page%20Lacto%20x%20Alfamidi-01.png" alt="banner" style="width: 100%; border-radius: 20px;">
                      <img class="mobile-view" src="https://www.growhappy.co.id/sites/default/files/2021-11/Landing%20Page%20Lacto%20x%20Alfamidi-02.png" alt="banner" style="width: 100%; border-radius: 20px;">
                    </div>
                </div>
            </div>
        </section>

        <section class="lct__faq--list pt-3 pb-5">
          <div class="container text-md-center" style="margin-top: -50px; text-align: center; color: #003DA6;">
             <div class="row justify-content-center">
               <div class="col-lg-12" style="margin-top: 66px;">
                  <h1 class="mobile-view" style="font-weight: bold; font-size: 4.9vw">Cara Ikut Promo LACTOGROW x Alfamidi</h1>
                  <h1 class="desktop-view" style="font-weight: bold;">Cara Ikut Promo LACTOGROW x Alfamidi</h1>
               </div>
             </div>
          </div>
        </section>

        <div id="carouselExampleInterval" class="carousel slide mobile-view" data-ride="carousel">
          <div class="carousel-inner" style="margin-top: -20%; max-height: 19rem; margin-bottom: 5%;">
            <div class="carousel-item active" style="padding: 20%;">
                <div class="card">
                  <div class="card-body" style="text-align:center">
                    <div class="numberCircle"><i class="fa fa-laptop"></i></div>
                    <p class="card-text-step">
                      Daftarkan diri dan bergabung dengan GROW HAPPY CLUB
                    </p>
                    <div class="numberCircleBottom">1</div>
                  </div>
                </div>
            </div>
            <div class="carousel-item" style="padding: 20%;">
                <div class="card">
                  <div class="card-body" style="text-align:center">
                    <div class="numberCircle"><i class="fa fa-shopping-cart"></i></div>
                    <p class="card-text-step">
                      Belanja LACTOGROW di Alfamidi senilai minimum Rp 200.000
                    </p>
                    <div class="numberCircleBottom">2</div>
                  </div>
                </div>
            </div>
            <div class="carousel-item" style="padding: 20%;">
                <div class="card">
                  <div class="card-body" style="text-align:center">
                    <div class="numberCircle"><i class="fa fa-sign-in-alt"></i></div>
                    <p class="card-text-step">
                      Submit nomor transaksi, kode ekor struk, dan kode unik dalam kemasan
                    </p>
                    <div class="numberCircleBottom">3</div>
                  </div>
                </div>
            </div>
            <div class="carousel-item" style="padding: 20%;">
                <div class="card">
                  <div class="card-body" style="text-align:center">
                    <div class="numberCircle"><i class="fa fa-coins"></i></div>
                    <p class="card-text-step">
                      Dapatkan Happy Point dan bonusnya sesuai ketentuan program
                    </p>
                    <div class="numberCircleBottom">4</div>
                  </div>
                </div>
            </div>
            <div class="carousel-item" style="padding: 20%;">
                <div class="card">
                  <div class="card-body" style="text-align:center">
                    <div class="numberCircle"><i class="fa fa-award"></i></div>
                    <p class="card-text-step">
                      Tukarkan Happy Point dengan Rewards Program Alfamidi
                    </p>
                    <div class="numberCircleBottom">5</div>
                  </div>
                </div>
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleInterval" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleInterval" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
        </div>

        <div class="col d-flex justify-content-center desktop-view">
          <div class="col-xs-2 col-half-offset" style="margin-bottom: 10px">
            <div class="card">
              <div class="card-body" style="text-align:center">
                <div class="numberCircle"><i class="fa fa-laptop"></i></div>
                <p class="card-text-step">
                  Daftarkan diri dan bergabung dengan GROW HAPPY CLUB
                </p>
                <div class="numberCircleBottom">1</div>
              </div>
            </div>
          </div>
          <div class="col-xs-2 col-half-offset" style="margin-bottom: 10px">
            <div class="card">
              <div class="card-body" style="text-align:center">
                <div class="numberCircle"><i class="fa fa-shopping-cart"></i></div>
                <p class="card-text-step">
                  Belanja LACTOGROW di Alfamidi senilai minimum Rp 200.000
                </p>
                <div class="numberCircleBottom">2</div>
              </div>
            </div>
          </div>
          <div class="col-xs-2 col-half-offset" style="margin-bottom: 10px">
            <div class="card">
              <div class="card-body" style="text-align:center">
                <div class="numberCircle"><i class="fa fa-sign-in-alt"></i></div>
                <p class="card-text-step">
                  Submit nomor transaksi, kode ekor struk, dan kode unik dalam kemasan
                </p>
                <div class="numberCircleBottom">3</div>
              </div>
            </div>
          </div>
          <div class="col-xs-2 col-half-offset" style="margin-bottom: 10px">
            <div class="card">
              <div class="card-body" style="text-align:center">
                <div class="numberCircle"><i class="fa fa-coins"></i></div>
                <p class="card-text-step">
                  Dapatkan Happy Point dan bonusnya sesuai ketentuan program
                </p>
                <div class="numberCircleBottom">4</div>
              </div>
            </div>
          </div>
          <div class="col-xs-2 col-half-offset" style="margin-bottom: 10px">
            <div class="card">
              <div class="card-body" style="text-align:center">
                <div class="numberCircle"><i class="fa fa-award"></i></div>
                <p class="card-text-step">
                  Tukarkan Happy Point dengan Rewards Program Alfamidi
                </p>
                <div class="numberCircleBottom">5</div>
              </div>
            </div>
          </div>
        </div>

        <div class="d-lg-none" style="background-image: url('https://www.growhappy.co.id/themes/growhappytheme/assets/images/placeholder.png');height: 6rem;background-size:cover;background-position:0 bottom;" data-bg="https://www.growhappy.co.id/themes/growhappytheme/assets/images/bg-wave-m.svg"></div>

        <section class="bg-wave" style="background-image: url('https://www.growhappy.co.id/sites/default/files/2021-11/background%20biru-10-fix.png');">
          <div class="container text-md-center">
             <div class="row justify-content-center">
               <div class="col-lg-12  desktop-view" style="margin-bottom: 30px; margin-top: 70px;">
                 <h1>Yuk Moms, mulai beli <strong>LACTOGROW</strong> di <strong>Alfamidi</strong> dan submit struknya <strong>Sekarang!</strong></h1>
                 {% if guestlogin|default %}
                 <div class="col-md-12" style="display: flex; margin-left: 35px;">
                   <div class="col-md-1">
                     <div class="circlearancione">
                       <i class="fa fa-user-circle" style="font-size: 7.3em;"></i>
                     </div>
                   </div>
                   <div class="col-md-3" style="padding: 10px;">
                     <h4 style="margin-bottom: 0px;">{{ guestlogin.firstname }}</h4>
                     <h4>Poin: {{ guestlogin.point }}</h4>
                   </div>
                   <div class="col-md-7">
                     <div class="card" style="width: 100%; background: transparent; border: 2px solid #FFFFFF;">
                       <div class="card-body" style="text-align:center">
                         <p class="card-text" style="color: #FFFFFF">
                           {{ notif.message }}
                         </p>
                       </div>
                     </div>
                   </div>
                 </div>
                 {% endif %}
                 <div class="col-md-12" style="margin-top: 30px;">
                   {% if guestlogin|default %}
                   <form id="form-submit" action="{{ url('growhappy_mod.submit-process-alfamidi') }}" method="post">
                   {% else %}
                   <form action="{{ url('<front>') }}login?cam=alfamidi" method="post">
                   {% endif %}
                     <div class="card" style="background: #21A5E6;">
                       <div class="card-body" style="text-align:center; padding: 3.75rem;">
                         <div class="col-md-11">
                           <div class="input-group mb-3">
                             <p class="card-text" style="margin: 6px; margin-right: 47px; font-size: 20px; font-weight: bold;">
                               Submit No. Transaksi
                             </p>
                               <input id="code" name="no_trx" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" style="margin-right: 12px;">
                           </div>
                           <div class="input-group mb-3">
                             <p class="card-text" style="margin: 6px; font-size: 20px; font-weight: bold;">
                               Submit Kode di ekor struk
                             </p>
                               <input id="code" name="code" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" style="margin-right: 12px;">
                               <span class="input-group-btn m-0">
                                 {% if guestlogin|default %}
                                   <button type="submit" id="btn-submit" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code" style="font-weight: bold;">
                                       Submit
                                   </button>
                                 {% else %}
                                 <button type="submit" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code" style="font-weight: bold;">
                                     Submit
                                 </button>
                                 {% endif %}
                               </span>
                           </div>
                         </div>
                         <p class="card-text" style="font-size: 18px; font-weight: bold;">
                           Pastikan Mom mengisi informasi yang ada di ekor struk dengan benar.
                         </p>
                       </div>
                     </div>
                   </form>
                 </div>
               </div>
               <div class="col-lg-12  mobile-view">
                 <h1 style="text-align: center;">Yuk Moms, mulai beli <strong>LACTOGROW</strong> di <strong>Alfamidi</strong> dan submit struknya <strong>Sekarang!</strong></h1>
                 {% if guestlogin|default %}
                 <div class="col-md-12" style="display: flex; margin-left: 20px;">
                   <div class="col-md-1">
                     <div class="circlearancione">
                       <i class="fa fa-user-circle" style="font-size: 7.3em;"></i>
                     </div>
                   </div>
                   <div class="col-md-3" style="padding: 10px;">
                     <h4 style="margin-bottom: 0px;">{{ guestlogin.firstname }}</h4>
                     <h4>Poin: {{ guestlogin.point }}</h4>
                   </div>
                 </div>
                 <div class="col-md-12">
                   <div class="card" style="width: 100%; background: transparent; border: 2px solid #FFFFFF;">
                     <div class="card-body" style="text-align:center">
                       <p class="card-text" style="color: #FFFFFF">
                         {{ notif.message }}
                       </p>
                     </div>
                   </div>
                 </div>
                 {% endif %}
                 <div class="col-md-12" style="margin-top: 30px;">
                   {% if guestlogin|default %}
                   <form id="form-submit-mobile"action="{{ url('growhappy_mod.submit-process-alfamidi') }}" method="post">
                   {% else %}
                   <form action="{{ url('<front>') }}login?cam=alfamidi" method="post">
                   {% endif %}
                     <div class="card" style="width: 100%; background: #21A5E6;">
                       <div class="card-body" style="text-align:center;">
                           <div class="col-md-12" style="margin-bottom: 20px;">
                             <p class="card-text" style="margin: 6px; font-size: 18px; font-weight: bold;">
                               Submit No. Transaksi
                             </p>
                             <input id="code" name="code" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" style="margin-right: 12px;">
                           </div>
                           <div class="col-md-12" style="margin-bottom: 20px;">
                             <p class="card-text" style="margin: 6px; font-size: 18px; font-weight: bold;">
                               Submit Kode di ekor struk
                             </p>
                               <input id="code" name="code" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" style="margin-right: 12px;">
                           </div>
                           <div class="col-md-12" style="margin-bottom: 20px;">
                             {% if guestlogin|default %}
                             <button type="submit" id="btn-submit-mobile" class="btn bg-primary text-white text-uppercase rounded-lg btn-submit-code" style="font-weight: bold;">
                                 Submit
                             </button>
                             {% else %}
                             <button type="submit" class="btn bg-primary text-white text-uppercase rounded-lg btn-submit-code" style="font-weight: bold;">
                                 Submit
                             </button>
                             {% endif %}
                           </div>
                           <div class="col-md-12">
                             <p class="card-text" style="font-size: 18px; font-weight: bold;">
                               Pastikan Mom mengisi informasi yang ada di ekor struk dengan benar.
                             </p>
                           </div>
                       </div>
                     </div>
                   </form>
                 </div>
               </div>
               <div class="container desktop-view" style="margin-top: 50px;">
                 <h1 style="text-align: center;"><strong>Pencapaian Program</strong></h1>
                 <div class="col-lg-12">
                   <div class="col-md-12">
                     <div class="col-6" style="width: 100%; background: transparent; border-right: solid 5px #F4EE13;">
                       <div class="stepCard">
                         <div class="card-body" style="text-align:center;">
                           <div class="card card-left">
                             <div class="card-body">
                               <p class="card-text">
                                1. Submit ekor struk pertama kali
                               </p>
                             </div>
                           </div>
                         </div>
                       </div>
                     </div>
                   </div>
                   <div class="col-md-12 d-flex">
                     <div class="col-6" style="width: 100%; background: transparent; border-right: solid 5px #F4EE13; border-top: solid 5px #F4EE13;">
                       {% if guestlogin|default %}
                              {% if tree in ['250'] %}
                                <div class="stepCircle"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                              {% else %}
                                <div class="stepCircle"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                              {% endif %}
                        {% else %}
                        <div class="stepCircle"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                       {% endif %}
                       <div class="stepCard">
                         <div class="card-body" style="text-align:center">
                           <h1 class="card-title stepHead" style="font-weight: bold;">250 Poin</h1>
                           <p>
                             <ul class="text-tree">
                               <li>Belanja minimum Rp 200.000, submit no transaksi & kode ekor struknya</li>
                               <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr</li>
                             </ul>
                           </p>
                         </div>
                       </div>
                     </div>
                     <div class="col-6">
                       <div class="stepCard"style="position: absolute; bottom: 3px; left: 15px;">
                         <div class="card-body">
                           <div class="card card-right">
                             <div class="card-body">
                               <p class="card-text">
                                 2. Submit 2 bulan berturut turut
                               </p>
                             </div>
                           </div>
                         </div>
                       </div>
                     </div>
                   </div>
                   <div class="col-md-12 d-flex">
                     <div class="col-6" style="width: 100%; background: transparent; border-right: solid 5px #F4EE13;">
                       <div class="stepCard" style="position: absolute; bottom: 3px; right: 15px;">
                         <div class="card-body">
                           <div class="card card-left">
                             <div class="card-body">
                               <p class="card-text">
                                 3. Submit 4 bulan berturut turut
                               </p>
                             </div>
                           </div>
                         </div>
                       </div>
                     </div>
                     <div class="col-6" style="width: 100%; background: transparent; border-top: solid 5px #F4EE13;">
                       {% if guestlogin|default %}
                              {% if tree in ['2000'] %}
                                <div class="stepCircleRight"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                              {% else %}
                                <div class="stepCircleRight"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                              {% endif %}
                        {% else %}
                        <div class="stepCircleRight"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                       {% endif %}
                       <div class="stepCard" style="padding-top: 8%">
                         <div class="card-body card-body-right" style="text-align:center">
                           <h1 class="card-title stepHead" style="font-weight: bold;">2000 Poin</h1>
                           <p>
                            <ul class="text-tree">
                              <li>Belanja minimum Rp 200.000 per bulan, submit no transaksi & kode ekor struknya selama 2 bulan berturut - turut</li>
                              <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr per bulan selama 2 bulan berturut- turut</li>
                            </ul>
                           </p>
                         </div>
                       </div>
                     </div>
                   </div>
                   <div class="col-md-12 d-flex">
                     <div class="col-6" style="width: 100%; background: transparent; border-right: solid 5px #F4EE13; border-top: solid 5px #F4EE13;">
                       {% if guestlogin|default %}
                              {% if tree in ['3000'] %}
                                <div class="stepCircle"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                              {% else %}
                                <div class="stepCircle"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                              {% endif %}
                        {% else %}
                        <div class="stepCircle"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                       {% endif %}
                       <div class="stepCard">
                         <div class="card-body" style="text-align:center">
                           <h1 class="card-title stepHead" style="font-weight: bold;">3000 Poin</h1>
                           <p>
                             <ul class="text-tree">
                               <li>Belanja minimum Rp 200.000 per bulan, submit no transaksi & kode ekor struknya selama 4 bulan berturut - turut</li>
                               <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr per bulan selama 4 bulan berturut- turut</li>
                             </ul>
                           </p>
                         </div>
                       </div>
                     </div>
                     <div class="col-6">
                       <div class="stepCard" style="position: absolute; bottom: 3px; left: 15px;">
                         <div class="card-body">
                           <div class="card card-right">
                             <div class="card-body">
                               <p class="card-text">
                                 4. Submit 6 bulan berturut turut
                               </p>
                             </div>
                           </div>
                         </div>
                       </div>
                     </div>
                   </div>
                   <div class="col-md-12 d-flex">
                     <div class="col-6" style="width: 100%; background: transparent; border-right: solid 5px #F4EE13;">
                     </div>
                     <div class="col-6" style="width: 100%; background: transparent; border-top: solid 5px #F4EE13;">
                       {% if guestlogin|default %}
                              {% if tree in ['4000'] %}
                                <div class="stepCircleRight"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                              {% else %}
                                <div class="stepCircleRight"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                              {% endif %}
                        {% else %}
                        <div class="stepCircleRight"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                       {% endif %}
                       <div class="stepCard" style="padding-top: 8%">
                         <div class="card-body card-body-right" style="text-align:center">
                           <h1 class="card-title stepHead" style="font-weight: bold;">4000 Poin</h1>
                           <p>
                            <ul class="text-tree">
                              <li>Belanja minimum Rp 100.000 per bulan, submit no transaksi & kode ekor struknya selama 6 bulan berturut-turut</li>
                              <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr per bulan selama 6 bulan berturut- turut</li>
                            </ul>
                           </p>
                         </div>
                       </div>
                     </div>
                   </div>
                   {% if guestlogin|default %}
                   <div class="col-md-12" style="margin-botom: 55px;">
                       <div class="card-body" style="text-align:center;">
                           <div class="card" style="width: 50%; margin: 0 auto">
                             <div class="card-body" style="padding: 0.75rem;">
                               <div class="card-body" style="background: #F9EC13; border-radius: 45px; padding: 0.75rem;">
                                 <button type="button" name="button" data-toggle="modal" data-target="#myModal" style="font-size: 20px; font-weight: bold; color: #003DA6; border: none; background: #F9EC13;">Lihat History</button>
                               </div>
                             </div>
                           </div>
                       </div>
                   </div>
                   {% endif %}
                   <div class="col-md-12" style="margin-botom: 55px;">
                       <div class="card-body" style="text-align:center;">
                         <a href="{{ url('<front>') }}campaign/alfamidi-sk" style="text-decoration:none;">
                           <div class="card" style="width: 50%; margin: 0 auto">
                             <div class="card-body" style="padding: 0.75rem;">
                               <div class="card-body" style="background: #F9EC13; border-radius: 45px; padding: 0.75rem;">
                                 <p class="card-text" style="font-size: 20px; font-weight: bold; color: #003DA6;">
                                   Lihat ketentuan program
                                 </p>
                               </div>
                             </div>
                           </div>
                         </a>
                       </div>
                   </div>
                 </div>
               </div>
               <div class="col-lg-12 mobile-view" style="margin-top: 50px; margin-bottom: -128px">
                 <h1 style="text-align: center; margin-bottom: 70px;"><strong>Pencapaian Program</strong></h1>
                 <div class="container">
                   <div class="col-md-12" style="width: 100%; background: transparent; border-left: solid 5px #F4EE13; border-top: solid 5px #F4EE13;">
                       <div class="stepCard">
                           {% if guestlogin|default %}
                                  {% if tree in ['250'] %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                                  {% else %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                                  {% endif %}
                            {% else %}
                            <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                           {% endif %}
                           <div class="stepCard" style="width: 100%; margin-top: -15%;">
                             <div class="card-body" style="text-align:center;">
                               <div class="card">
                                 <div style="padding-top: 5%">
                                   <p class="card-text-mobile">
                                     1. Submit ekor struk pertama kali
                                   </p>
                                 </div>
                               </div>
                             </div>
                           </div>
                           <h4 class="card-title stepHead" style="margin: 0 auto; font-weight: bold;">250 Poin</h4>
                           <ul class="text-tree-mobile">
                             <li>Belanja minimum Rp 200.000, submit no transaksi & kode ekor struknya</li>
                             <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr</li>
                           </ul>
                       </div>
                   </div>
                   <div class="col-md-12" style="width: 100%; background: transparent; border-left: solid 5px #F4EE13; border-top: solid 5px #F4EE13;">
                       <div class="stepCard">
                           {% if guestlogin|default %}
                                  {% if tree in ['2000'] %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                                  {% else %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                                  {% endif %}
                            {% else %}
                            <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                           {% endif %}
                           <div class="stepCard" style="width: 100%; margin-top: -15%;">
                             <div class="card-body" style="text-align:center;">
                               <div class="card">
                                 <div style="padding-top: 5%">
                                   <p class="card-text-mobile">
                                     2. Submit 2 bulan berturut
                                   </p>
                                 </div>
                               </div>
                             </div>
                           </div>
                           <h4 class="card-title stepHead" style="margin: 0 auto; font-weight: bold;">2000 Poin</h4>
                           <ul class="text-tree-mobile">
                             <li>Belanja minimum Rp 200.000 per bulan, submit no transaksi & kode ekor struknya selama 2 bulan berturut - turut</li>
                             <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr per bulan selama 2 bulan berturut- turut</li>
                           </ul>
                       </div>
                   </div>
                   <div class="col-md-12" style="width: 100%; background: transparent; border-left: solid 5px #F4EE13; border-top: solid 5px #F4EE13;">
                       <div class="stepCard">
                           {% if guestlogin|default %}
                                  {% if tree in ['3000'] %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                                  {% else %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                                  {% endif %}
                            {% else %}
                            <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                           {% endif %}
                           <div class="stepCard" style="width: 100%; margin-top: -15%;">
                             <div class="card-body" style="text-align:center;">
                               <div class="card">
                                 <div style="padding-top: 5%">
                                   <p class="card-text-mobile">
                                     3. Submit 4 bulan berturut
                                   </p>
                                 </div>
                               </div>
                             </div>
                           </div>
                           <h4 class="card-title stepHead" style="margin: 0 auto; font-weight: bold;">3000 Poin</h4>
                           <ul class="text-tree-mobile">
                             <li>Belanja minimum Rp 200.000 per bulan, submit no transaksi & kode ekor struknya selama 4 bulan berturut - turut</li>
                             <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr per bulan selama 4 bulan berturut- turut</li>
                           </ul>
                       </div>
                   </div>
                   <div class="col-md-12" style="width: 100%; background: transparent; border-left: solid 5px #F4EE13; border-top: solid 5px #F4EE13; margin-bottom: -30%;">
                       <div class="stepCard">
                           {% if guestlogin|default %}
                                  {% if tree in ['4000'] %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/%5Dicon%204.png" alt="icon" style="width: 90%;"></div>
                                  {% else %}
                                    <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                                  {% endif %}
                            {% else %}
                            <div class="stepCircleMobile"><img src="https://www.growhappy.co.id/sites/default/files/2021-11/icon-6_lock.png" alt="icon" style="width: 100%; padding: 15px;"></div>
                           {% endif %}
                           <div class="stepCard" style="width: 100%; margin-top: -15%;">
                             <div class="card-body" style="text-align:center;">
                               <div class="card">
                                 <div style="padding-top: 5%">
                                   <p class="card-text-mobile">
                                     4. Submit 4 bulan berturut
                                   </p>
                                 </div>
                               </div>
                             </div>
                           </div>
                           <h4 class="card-title stepHead" style="margin: 0 auto; font-weight: bold;">4000 Poin</h4>
                           <ul class="text-tree-mobile">
                             <li>Belanja minimum Rp 200.000 per bulan, submit no transaksi & kode ekor struknya selama 6 bulan berturut-turut</li>
                             <li>Submit kode unik LACTOGROW 3/4 minimum 1500gr per bulan selama 6 bulan berturut- turut</li>
                           </ul>
                       </div>
                   </div>
                   <div class="col-md-12" style="margin-botom: 55px;">
                     {% if guestlogin|default %}
                     <div class="card-body" style="text-align:center;">
                         <div class="card">
                           <div class="card-body" style="padding: 0.75rem;">
                             <div class="card-body" style="background: #F9EC13; border-radius: 45px; padding: 0.75rem;">
                               <button type="button" name="button" data-toggle="modal" data-target="#myModal" style="font-size: 20px; font-weight: bold; color: #003DA6; border: none; background: #F9EC13;">Lihat History</button>
                             </div>
                           </div>
                         </div>
                     </div>
                     {% endif %}
                       <div class="card-body" style="text-align:center;">
                         <a href="{{ url('<front>') }}campaign/alfamidi-sk" style="text-decoration:none;">
                           <div class="card">
                             <div class="card-body" style="padding: 0.75rem;">
                               <div class="card-body" style="background: #F9EC13; border-radius: 45px; padding: 0.75rem;">
                                 <p class="card-text" style="font-size: 4vw; font-weight: bold; color: #003DA6;">
                                   Lihat ketentuan program
                                 </p>
                               </div>
                             </div>
                           </div>
                         </a>
                       </div>
                   </div>
                 </div>
               </div>
             </div>
          </div>
        </section>

        <div class="container text-md-center desktop-view">
                  <div class="row justify-content-center">
                    <h1 style="font-weight: bold; color: #0038AB;">Rewards Eksklusif yang bisa Mom dapatkan.</h1>
                    <div class="row row-cols-2 row-cols-lg-3 no-margin club article-wrapper position-relative" style="padding: 5%;">
                      {% for reward in rewards %}
                          <div class="swiper-slide swiper-slide-reward" style="width: 25%;">
                            	<div class="card overflow-hidden card-article card-article-reward border-0 position-relative m-2 shadow">
                            		<span class="badge badge-light text-primary position-absolute text-uppercase" style="top:10.5rem;right:auto;border-radius: 0 1.5rem 0 0;">{{ reward.items[0].code }}</span>
                            		<a class="card-link text-primary text-decoration-none h-auto" href="{{ url('<front>') }}reward-detail?s={{ reward.slug }}">
                            			<div class="card-img-top" style="background-image: url('{{ reward.thumbnail }}'); background-size: cover; height: 12rem; background-position: center;"></div>
                            			<div class="card-body bg-light text-primary">
                            				<h3 class="card-title text-capitalize mb-1">{{ reward.name }}</h3>
                            				<p class="mb-1">
                            					<a class="tag text-blue text-capitalize" href="#"><small>{{ reward.categories[0].category.name }}</small></a>
                            				</p>
                            				<div class="rp">{{ reward.items[0].point }}</div>
                            			</div>
                            		</a>
                            	</div>
                            </div>
                      {% endfor %}
                    </div>
                    <div class="card-body" style="text-align:center;">
                      <a href="{{ url('<front>') }}club" style="text-decoration:none;">
                          <div class="card-body" style="padding: 0.75rem; width: 50%; margin: 0 auto;">
                            <div class="card-body" style="background: #013CA6; border-radius: 45px; padding: 0.75rem;">
                              <p class="card-text" style="font-size: 19px; font-weight: bold; color: #FFFFFF">
                                Lihat Semua Rewards
                              </p>
                            </div>
                          </div>
                      </a>
                    </div>
                  </div>
                </div>

                <div id="carouselExampleIntervalreward" class="carousel slide mobile-view" data-ride="carousel">
                  <h1 style="font-weight: bold; color: #0038AB; text-align: center; margin-top: 10%; margin-bottom: -7%;">Rewards Eksklusif yang bisa Mom dapatkan.</h1>
                  <div class="carousel-inner" style="margin-bottom: -25%;">
                    <div class="carousel-item active" style="padding: 20%;">
                        <div class="card overflow-hidden card-article card-article-reward border-0 position-relative m-2 shadow">
                        <span class="badge badge-light text-primary position-absolute text-uppercase" style="top:10.5rem;right:auto;border-radius: 0 1.5rem 0 0;">FRY-001</span>
                        <a class="card-link text-primary text-decoration-none h-auto" href="http://localhost/pre-master/revamp/docroot/reward-detail?s=flash-rewards-frying-pan-24cm">
                          <div class="card-img-top" style="background-image: url('https://stag.lactogrow.nestlecrm.co.id/crm/assets/media/dc0dfd34/frying-pan-24-cm-home.jpg'); background-size: cover; height: 12rem; background-position: center;"></div>
                          <div class="card-body bg-light text-primary">
                            <h3 class="card-title text-capitalize mb-1">Flash Rewards - Frying Pan 24cm</h3>
                            <p class="mb-1">
                              <a class="tag text-blue text-capitalize" href="#"><small></small></a>
                            </p>
                            <div class="rp">2000</div>
                          </div>
                        </a>
                        </div>
                    </div>
                    {% for reward in rewards %}
                    <div class="carousel-item" style="padding: 20%;">
                      <div class="card overflow-hidden card-article card-article-reward border-0 position-relative m-2 shadow">
                        <span class="badge badge-light text-primary position-absolute text-uppercase" style="top:10.5rem;right:auto;border-radius: 0 1.5rem 0 0;">{{ reward.items[0].code }}</span>
                        <a class="card-link text-primary text-decoration-none h-auto" href="{{ url('<front>') }}reward-detail?s={{ reward.slug }}">
                          <div class="card-img-top" style="background-image: url('{{ reward.thumbnail }}'); background-size: cover; height: 12rem; background-position: center;"></div>
                          <div class="card-body bg-light text-primary">
                            <h3 class="card-title text-capitalize mb-1">{{ reward.name }}</h3>
                            <p class="mb-1">
                              <a class="tag text-blue text-capitalize" href="#"><small>{{ reward.categories[0].category.name }}</small></a>
                            </p>
                            <div class="rp">{{ reward.items[0].point }}</div>
                          </div>
                        </a>
                      </div>
                    </div>
                    {% endfor %}
                  </div>

                  <a class="carousel-control-prev" href="#carouselExampleIntervalreward" role="button" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleIntervalreward" role="button" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"></span>
                  <span class="sr-only">Next</span>
                </a>
                </div>
                <div class="container text-md-center mobile-view">
                  <div class="row justify-content-center">
                    <div class="card-body" style="text-align:center;">
                      <a href="{{ url('<front>') }}club" style="text-decoration:none;">
                          <div class="card-body" style="padding: 0.75rem; margin: 0 auto;">
                            <div class="card-body" style="background: #013CA6; border-radius: 45px; padding: 0.75rem;">
                              <p class="card-text" style="font-size: 19px; font-weight: bold; color: #FFFFFF">
                                Lihat Semua Rewards
                              </p>
                            </div>
                          </div>
                      </a>
                    </div>
                  </div>
                </div>
	</div>
	{# /.layout-content #}
</main>

<!-- Modal -->
<div class="modal fade" id="myModal" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title" style="font-weight: bold; color: #003AA9;">History</h4>
      </div>

      <div class="modal-body">
        {% if history is empty %}
        <div class="d-flex justify-content-between py-3 border-top border-light">
               <div class="text-left">
                   <strong class="text-primary">Belum ada history</strong><br>
               </div>
           </div>
        {% else %}
        {% for history in history %}
        <div class="d-flex justify-content-between py-3 border-top border-light">
               <div class="text-left">
                   <strong class="text-primary">{{ history.description }}</strong><br>
               </div>
               <div class="text-right">
                   <span class="badge badge-pill bg-blue text-white text-uppercase">Berhasil</span><br>
                   {{ history.date|date('Y-m-d') }}
               </div>
           </div>
          {% endfor %}
        {% endif %}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>

<!-- Submit Modal -->
<div class="modal fade" id="submitModal" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="submitModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content overflow-hidden">
            <div class="modal-body bg-primary text-white text-center p-lg-4">
                <button type="button" id="btn-close-modal" class="close float-right text-white" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <img class="m-auto mb-4" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-baloon.svg" alt="">
                <h2 id="message-header">Submit Sedang diproses!</h2>
                <div id="message-body">Mohon Tunggu...</div>
                <a id="message-button" href="{{ url('<front>') }}campaign/alfamidi" class="btn btn-block bg-white text-blue rounded-lg px-3 mt-3" style="display: none;">Coba Lagi</a>
            </div>
        </div>
    </div>
</div>

{% if page.footer %}
	<footer
		id="primary-footer">
		{# {{ page.footer }} #}
		{% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
	</footer>
{% else %}
	{% include directory ~ '/templates/includes/_foot.html.twig' %}
{% endif %}

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://js.pusher.com/7.0/pusher.min.js"></script>
<script type="text/javascript">
  $("#form-submit").submit(function(e) {
      e.preventDefault(); // avoid to execute the actual submit of the form.
      var form = $(this);
      var url = form.attr("action");
      var type = $(this).attr("method");
      var message_header_loading = "Submit Sedang diproses!";
      var message_header_fail = "Submit Happy Parents Gagal";
      var message_body_loading = "<p>Mohon Tunggu...</p>";
      var message_body_fail = "<p>Terjadi kesalahan pada server</p>";
      var message_button_fail = "Coba Lagi";
      $("#submitModal").modal("show");
      $.ajax({
          type: type,
          url: url,
          data: form.serialize(),
          beforeSend: function() {
              $("#btn-submit").prop("disabled", true);
              $("#message-header").html(message_header_loading);
              $("#message-body").html(message_body_loading);
              $("#message-button").hide();
              $("#btn-close-modal").hide();
              console.log("Loading");
          },
          success: function(data) {
              console.log("json : "+data);
              var data = JSON.parse(data);
              if(data.success){
                  console.log("Submit success");
                  console.log("pusher ready!");

                  var pusherFailed = false;
                  var pusherProcessed = false;

                  $.get("{{ url('growhappy_mod.pusher') }}", function(dataPusher, statusPusher){
                    var dataPusher = JSON.parse(dataPusher);
                    console.log(dataPusher);
                    var pusher = new Pusher(dataPusher.key, {
                      cluster: dataPusher.cluster,
                      authEndpoint: "{{ url('growhappy_mod.pusher-auth') }}",
                    });
                    var channel = pusher.subscribe("private-member.{{ guestlogin.id }}");
                    channel.bind("submission.failed",
                      function(dataSubmitFail) {
                        console.log("pusher failed : ");
                        console.log(dataSubmitFail);
                        pusherFailed = true;

                        $("#message-header").html("Maaf Happy Parents, Submit Gagal");
                        $("#message-body").html("<p>"+dataSubmitFail.message+"</p>");

                        if (dataSubmitFail.message == "Silahkan Happy Parents lengkapi Data Anak untuk submit kode unik.") {
                          $("#message-button-child").show();
                          $("#message-button").html("Lengkapi data anak");
                        } else {
                          $("#message-button").show();
                          $("#message-button").html("Coba Lagi");
                          $("#btn-close-modal").show();
                        }

                      }
                    );

                    channel.bind("alfamidi.submitted",
                      function(dataSubmitSuccess) {
                          console.log("pusher success : ");
                          console.log(dataSubmitSuccess);
                          pusherProcessed = true;
                          // dataSubmitSuccess.code

                          $("#message-header").html("Submit Berhasil!");
                          $("#message-body").html("<p>" + dataSubmitSuccess.message + "</p>");
                          $("#message-button").html("Lihat Status");
                          $("#message-button").show();
                          $("#btn-close-modal").show();
                      }
                    );
                });

                  setTimeout(function() {
                    console.log("timeout start");
                    if(pusherFailed == false && pusherProcessed == false){
                      console.log("if pusher timeout");
                      $("#message-header").html(message_header_loading);
                      $("#message-body").html("Proses ini lebih lama dari yg kami pekirakan, silakan refresh halaman ini kembali atau cek saldo anda");
                      $("#message-button").show();
                      $("#message-button").attr("href", "/profile");
                      $("#message-button").html("Lihat Status");
                    }
                  }, 300000);
              }else{
                  console.log("Submit fail");
                  message_body_fail = "";
                  $.each(data.errors, function( k, v ) {
                      message_body_fail += "<p>"+v+"</p>";
                      msg = v;
                  });
                  $("#message-header").html(message_header_fail);
                  $("#message-body").html(message_body_fail);
                  $("#message-button").html(message_button_fail);
                  $("#message-button").show();
                  $("#btn-close-modal").show();

              }
              $("#btn-submit").prop("disabled", false);
          },
          error: function(xhr, status, error) {
              var error = eval("(" + xhr.responseText + ")");
              // console.log(error.message);
              $("#message-header").html(message_header_fail);
              $("#message-body").html("<p>" + error.message + "</p>");
              $("#message-button").html(message_button_fail);
              $("#message-button").show();
              $("#btn-close-modal").show();
          }
      });
  });

  $("#form-submit-mobile").submit(function(e) {
      e.preventDefault(); // avoid to execute the actual submit of the form.
      var form = $(this);
      var url = form.attr("action");
      var type = $(this).attr("method");
      var message_header_loading = "Submit Sedang diproses!";
      var message_header_fail = "Submit Happy Parents Gagal";
      var message_body_loading = "<p>Mohon Tunggu...</p>";
      var message_body_fail = "<p>Terjadi kesalahan pada server</p>";
      var message_button_fail = "Coba Lagi";
      $("#submitModal").modal("show");
      $.ajax({
          type: type,
          url: url,
          data: form.serialize(),
          beforeSend: function() {
              $("#btn-submit-mobile").prop("disabled", true);
              $("#message-header").html(message_header_loading);
              $("#message-body").html(message_body_loading);
              $("#message-button").hide();
              $("#btn-close-modal").hide();
              console.log("Loading");
          },
          success: function(data) {
              console.log("json : "+data);
              var data = JSON.parse(data);
              if(data.success){
                  console.log("Submit success");
                  console.log("pusher ready!");

                  var pusherFailed = false;
                  var pusherProcessed = false;

                  $.get("{{ url('growhappy_mod.pusher') }}", function(dataPusher, statusPusher){
                    var dataPusher = JSON.parse(dataPusher);
                    console.log(dataPusher);
                    var pusher = new Pusher(dataPusher.key, {
                      cluster: dataPusher.cluster,
                      authEndpoint: "{{ url('growhappy_mod.pusher-auth') }}",
                    });
                    var channel = pusher.subscribe("private-member.{{ guestlogin.id }}");
                    channel.bind("submission.failed",
                      function(dataSubmitFail) {
                        console.log("pusher failed : ");
                        console.log(dataSubmitFail);
                        pusherFailed = true;

                        $("#message-header").html("Maaf Happy Parents, Submit Gagal");
                        $("#message-body").html("<p>"+dataSubmitFail.message+"</p>");

                        if (dataSubmitFail.message == "Silahkan Happy Parents lengkapi Data Anak untuk submit kode unik.") {
                          $("#message-button-child").show();
                          $("#message-button").html("Lengkapi data anak");
                        } else {
                          $("#message-button").show();
                          $("#message-button").html("Coba Lagi");
                          $("#btn-close-modal").show();
                        }

                      }
                    );

                    channel.bind("alfamidi.submitted",
                      function(dataSubmitSuccess) {
                          console.log("pusher success : ");
                          console.log(dataSubmitSuccess);
                          pusherProcessed = true;
                          // dataSubmitSuccess.code

                          $("#message-header").html("Submit Berhasil!");
                          $("#message-body").html("<p>" + dataSubmitSuccess.message + "</p>");
                          $("#message-button").html("Lihat Status");
                          $("#message-button").show();
                          $("#btn-close-modal").show();
                      }
                    );
                });

                  setTimeout(function() {
                    console.log("timeout start");
                    if(pusherFailed == false && pusherProcessed == false){
                      console.log("if pusher timeout");
                      $("#message-header").html(message_header_loading);
                      $("#message-body").html("Proses ini lebih lama dari yg kami pekirakan, silakan refresh halaman ini kembali atau cek saldo anda");
                      $("#message-button").show();
                      $("#message-button").attr("href", "/profile");
                      $("#message-button").html("Lihat Status");
                    }
                  }, 300000);
              }else{
                  console.log("Submit fail");
                  message_body_fail = "";
                  $.each(data.errors, function( k, v ) {
                      message_body_fail += "<p>"+v+"</p>";
                      msg = v;
                  });
                  $("#message-header").html(message_header_fail);
                  $("#message-body").html(message_body_fail);
                  $("#message-button").html(message_button_fail);
                  $("#message-button").show();
                  $("#btn-close-modal").show();

              }
              $("#btn-submit").prop("disabled", false);
          },
          error: function(xhr, status, error) {
              var error = eval("(" + xhr.responseText + ")");
              // console.log(error.message);
              $("#message-header").html(message_header_fail);
              $("#message-body").html("<p>" + error.message + "</p>");
              $("#message-button").html(message_button_fail);
              $("#message-button").show();
              $("#btn-close-modal").show();
          }
      });
  });
</script>
